Update a project module
Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.
Replaces the module payload and/or sets its status. Locked modules reject payload changes.
PATCH
/v1/projects/{projectId}/modules/{moduleKey}Authorization
AuthorizationBearer token · headerrequiredWorkspace API key (`bh_…`).
Path parameters
projectIdstringrequiredmin length 1
moduleKeystringrequiredAllowed:
project-informationraumweiseheizlast-huellflaecheverbrauchwaermepumpejazwirtschaftlichkeitfoerderrechnerfoerderwissenschallrechnerchecku-wert-rechnerfoerderservicenachweisserviceRequest body
application/jsonstatusstringAllowed:
not_starteddraftreadycalculatingcompletedsubmittedlockedfailedschemaVersionintegermin -9007199254740991 · max 9007199254740991
payloadobject | anyShow propertiesHide properties
Any of:
object
objectany
anyResponses
200OK
idstringrequiredprojectIdstringrequiredmoduleKeystringrequiredAllowed:
project-informationraumweiseheizlast-huellflaecheverbrauchwaermepumpejazwirtschaftlichkeitfoerderrechnerfoerderwissenschallrechnerchecku-wert-rechnerfoerderservicenachweisservicestatusstringrequiredAllowed:
not_starteddraftreadycalculatingcompletedsubmittedlockedfailedschemaVersionintegerrequiredmin -9007199254740991 · max 9007199254740991
payloadobject | anyrequiredShow propertiesHide properties
Any of:
object
objectany
anyvalidationStateobject | anyrequiredShow propertiesHide properties
Any of:
object
objectany
anylockedReasonstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anylastCompletedAtstring<date-time> | anyrequiredShow propertiesHide properties
Any of:
string<date-time>
string<date-time>any
anycreatedAtstring<date-time>requiredupdatedAtstring<date-time>requiredRequest
curl -X PATCH "https://app.bauhow.com/api/v1/projects/string/modules/project-information" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"status": "not_started",
"schemaVersion": 0,
"payload": {}
}'const response = await fetch("https://app.bauhow.com/api/v1/projects/string/modules/project-information", {
method: "PATCH",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"status": "not_started",
"schemaVersion": 0,
"payload": {}
})
});import requests
response = requests.patch(
"https://app.bauhow.com/api/v1/projects/string/modules/project-information",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"status": "not_started",
"schemaVersion": 0,
"payload": {}
},
)Response
{
"id": "string",
"projectId": "string",
"moduleKey": "project-information",
"status": "not_started",
"schemaVersion": 0,
"payload": {},
"validationState": {},
"lockedReason": "string",
"lastCompletedAt": "2024-01-01T00:00:00Z",
"createdAt": "2024-01-01T00:00:00Z",
"updatedAt": "2024-01-01T00:00:00Z"
}